Subject: Re: Artesyn Processor PMC 'Host Bridge' has no IRQ assigned?

From: David Hawkins <[email-masked]>
Date: Tue, 07 Feb 2006 15:03:33 -0800

Hi Travis,

> It's been a couple of years since I've had to mess with the
> ArtPrPMC board. There is, IIRC, there is a doorbell register
> in the CPC700, but I don't have the spec handy.  My last
> use of the prpmc was with vxworks and shared memory 
> messaging using a doorbell.

Yeah, thats pretty much the 'way of PCI', so I was surprized
not to see the IRQ line assigned from the x86 host-side.

> Umm... I recall stating the XPEDITE1000 from X-ES was
> supported by u-boot (I'll have to submit another patch to
> Wolfgang as they(XES) changed some stuff wrt flash write
> protect, I've also moved the env from the cramped i2c eeprom 
> (bad) to the intel flash).

Oh, perhaps the comment was that you had used the board then :)

> I'd have to check the u-boot source for PrPMC support, as I
> haven't run u-boot on it.

No sweat, if I want to put U-Boot on it, then I'll just have to
port it :)  Since the Artesyn bootloader can tftp etc, I'll
figure out first how to get Linux booted.

I just booted up the second board, and it did not get
an IRQ either. I'll dig into the CPC700 manual, its likely
a boot-time enable.

Thanks for the feedback!
Dave